View Issue Details

IDProjectCategoryView StatusLast Update
0024084Open CASCADEOCCT:Meshpublic2022-10-14 16:48
Reporteroan Assigned Tooan  
PrioritynormalSeverityfeature 
Status assignedResolutionopen 
Target VersionUnscheduled 
Summary0024084: Additional tool for resolving 2d loops on discretized wires should be implemented in BRepMesh
DescriptionAccording to fix 0023105 BRepMesh tries to resolve 2d loops (either intended during tessellation procedure - see bug 0023400, - or defined explicitly by edges geometry) on the polygon level when face meshing is performed by BRepMesh_Dealun. It leads to additional computational costs each time a problematic case is faced.

The most appropriate way to eliminate extra calculations is to resolve all possible problems immediately after the data structure of a particular face is formed and before its processing by Delaunay algorithm.

In addition, processed data structure should be stored in face attributes instead of its restoring from poly_triangulation in BRepMesh_FastDiscretFace.
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0023400 closedbugmaster Community Triangulation of thin ring contains gap 
related to 0020827 assignedoan Open CASCADE Problem of displaying in SHADING mode  
parent of 0031421 feedbackszy Open CASCADE OCCT:Mesh: SelfIntersectingWire Failure. 
related to 0025022 assignedabv Community ShapeFix_Wire::FixIntersectingEdges finds wrong intersection point 
related to 0025594 closedapn Open CASCADE Valid shape is not visualize in shading mode. 
related to 0025586 feedbackbugmaster Community Mesh - Poor mesh quality, or failure of meshing for closed extruded surfaces with holes 
related to 0026106 closedbugmaster Open CASCADE BRepMesh - revision of data model 
related to 0032462 newoan Community Mesh - missing face issue, bad surface and bad volume [Regression compared to OCCT 7.3.0] 
child of 0023105 closedoan Community Exception during Meshing / Missing triangles 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2013-07-23 12:24 oan New Issue
2013-07-23 12:24 oan Assigned To => oan
2013-07-23 12:24 oan Relationship added child of 0023105
2013-07-23 12:25 oan Relationship added related to 0023400
2013-07-23 12:26 oan Relationship added related to 0020827
2014-09-12 19:21 oan Target Version => 7.1.0
2014-09-29 12:09 drazmyslovich Relationship added related to 0025022
2014-12-12 10:43 oan Relationship added related to 0025594
2016-04-05 14:31 oan Relationship added related to 0025586
2016-10-17 11:28 oan Relationship added related to 0026106
2016-10-26 18:09 oan Target Version 7.1.0 => Unscheduled
2017-07-24 13:18 apv Test case number => Not required
2017-07-24 13:18 apv Status new => assigned
2020-06-19 12:41 szy Relationship added parent of 0031421
2021-06-29 11:42 oan Relationship added related to 0032462